# Installation de Papercut

```bash
sudo ./install.sh
```

## A propos du script 

OTHER OPERATING SYSTEMS (Mac, Linux and Unix)

Further information regarding installing the client software on Mac, Linux and
Unix systems is covered in detailed in the user manual.  The user manual is
available in PDF form or via the Help link inside the application.


COMMAND LINE OPTIONS

The client can be started with command line options to modify the start-up
behaviour.

    --silent

        The silent option tells the client not to report errors if it has
        problems connecting to the server.  If the server is unavailable at
        time of startup (e.g. the client is not connected to the network),
        or if the user does not currently exist in the database, the client
        will simply sleep waiting for the condition to change.


    --minimized

        The minimized option tells the client to start minimized.  On windows
        the client will be minimized to the task tray.


    --debug

        When enabled, debugging information is written to user-client.log,
        located in the user's home directory.


    --user <username>

        Use the given username to query the user balance, etc.  This can be
        useful if the user is logged into a machine as a different user than
        they are authenticated to the server/printers.  For example, if a user
        is using a laptop that is not a part of the domain.


    --cache <cache directory>

        This argument is actioned by pc-client-local-cache.exe.  It defines the
        location of the globally writable cache directory on the system's local
        hard drive.  The cache is used to minimize network traffic on future
        launches.  The default location is C:\Cache.  Standard users will
        require WRITE and READ access to this directory.


    --neverrequestidentity

        The client will use the username of the logged in user to identify itself
        with the server.  In a domain environment, users always login using their
        network identity and the names will always match.  However on non-domain
        systems where local accounts are used (e.g. Laptops), these names may
        not match.  The client will display a popup requesting the user to
        confirm their identity.  This option will suppress this dialog.


    --windowposition <position>

        Specify where the client window should appear. The valid options include
        top-left, top-right, bottom-left or bottom-right. In addition to the above
        set of fixed positions, co-ordinates of the window can also be specified
        by setting the <position> parameter to XY<x>,<y>. The <x> value sets the
        x co-ordinate of the window (if negative the value indicates the distance
        from the right of screen). The <y> value sets the y co-ordinate of the
        window (if negative the value indicates the distance from the bottom
        of screen).


    --windowtitle <title>

        Allows the window title to be customized. If the <title> includes {0}
        then this will be replaces by the user's username.


    --default-selection <option>

        Specifies the default selected option on the account selection popup.
        This option is useful when one particular charging option is the most
        common, but other options are required on occasion.
        For example, applying a default selection of charge-account-list ensures
        that the option Charge to shared account is selected, and the Account
        list is highlighted. In this case, the keyboard can be used to quickly
        navigate the account list, saving a few clicks of the mouse for every
        print.
        Valid options include: charge-personal, charge-account-list,
                               charge-account-pin and print-as-user.


    Please see the manual for more options.
